Bug 49303 - LILO does not finish loading OS after Enabling Swap Space
LILO does not finish loading OS after Enabling Swap Space
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-17 15:14 EDT by Courtland Caldwell
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Courtland Caldwell 2001-07-17 15:14:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
Running HP netserver P3 500 RAID 5.  When LILO attempts to run it begins 
properly, however when it gets to the line that says Enabling swap 
space:                        [OK]  It then freezes.  Everything up until 
this point works properly, however once I get to this state I cannot even 
CTRL+ALT+DEL.  Instead I have to power down the entire system.  Is there a 
phone number I can call for this?  It doesnt seem like any sort of patch 
would do me much good as I cannot get the OS to a running state: which I 
presume is necessary to patch any bugs.  Thank you in advance for your 

How reproducible:

Steps to Reproduce:
1.Reboot computer
2.Let LILO attempt to load the OS

Actual Results:  The LILO seems to run ok until just after the Enabling 
Swap Space [OK] line.  After this the system hangs.

Additional info:
Comment 1 Doug Ledford 2001-08-02 14:01:54 EDT
This isn't really a LILO problem, LILO has long since finished by the time the
system is enabling swap space.  The problem is with the kernel as you are
getting a hard lock when you enable swap space.  You can boot the system into
single user repair mode by typing:

linux init=/bin/bash

at the LILO Boot: prompt.  From there, you can try to manually enable the swap
space and see if it still hangs by typing:

/sbin/swapon -a

If it still hangs, then I would remake all of your swap partitions because it
would appear that one has somehow gotten corrupted.  See if that helps you any. 
If there are any error messages from the kernel when you try this, please post
them into this bug so we know what's going on with your system.

Comment 2 Bugzilla owner 2004-09-30 11:39:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.